com.versionone.apiclient

## Interface V1Connector.IAuthenticationMethods

- Enclosing class:
    V1Connector

      public static interface V1Connector.IAuthenticationMethods

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `V1Connector.IsetProxyOrEndPointOrConnector` | `withAccessToken(String accessToken)` Optional method for setting the access token for authentication.
    `V1Connector.IsetProxyOrEndPointOrConnector` | `withOAuth2Token(String oauth2Token)` Optional method for setting the OAuth2 access token for authentication.
    `V1Connector.IsetProxyOrEndPointOrConnector` | `withUsernameAndPassword(String username, String password)` Optional method for setting the username and password for authentication.
    `V1Connector.IsetProxyOrEndPointOrConnector` | `withWindowsIntegrated()` Optional method for setting the Windows Integrated Authentication credentials for authentication based on the currently logged in user.

- - ### Method Detail

    - #### withUsernameAndPassword

          V1Connector.IsetProxyOrEndPointOrConnector withUsernameAndPassword(String username,
                                                                             String password)
                                                                      throws V1Exception

      Optional method for setting the username and password for authentication.
      Parameters:
        `username` - String
        `password` - String
      Returns:
        IsetProxyOrEndPointOrConnector IsetProxyOrEndPointOrConnector
      Throws:
        `V1Exception` - V1Exception

    - #### withWindowsIntegrated

          V1Connector.IsetProxyOrEndPointOrConnector withWindowsIntegrated()
                                                                    throws V1Exception

      Optional method for setting the Windows Integrated Authentication credentials for authentication based on the currently logged in user.
      Returns:
        IsetProxyOrEndPointOrConnector IsetProxyOrEndPointOrConnector
      Throws:
        `V1Exception` - V1Exception

    - #### withAccessToken

          V1Connector.IsetProxyOrEndPointOrConnector withAccessToken(String accessToken)
                                                              throws V1Exception

      Optional method for setting the access token for authentication.
      Parameters:
        `accessToken` - The access token.
      Returns:
        IsetProxyOrEndPointOrConnector IsetProxyOrEndPointOrConnector
      Throws:
        `V1Exception` - V1Exception

    - #### withOAuth2Token

          V1Connector.IsetProxyOrEndPointOrConnector withOAuth2Token(String oauth2Token)
                                                              throws V1Exception

      Optional method for setting the OAuth2 access token for authentication.
      Parameters:
        `oauth2Token` - String
      Returns:
        IsetProxyOrEndPointOrConnector IsetProxyOrEndPointOrConnector
      Throws:
        `V1Exception` - V1Exception

Copyright © 2016 VersionOne, Inc.. All rights reserved.